<template>
  <div class="card overflow-hidden tile-card p-2 pl-3">
    <span
      v-for="(category, index) in tile.categories"
      :key="category.id"
      class="categoryColor"
      :style="{
        backgroundColor: category.color,
        height: (100 / tile.categories.length) + '%',
        top: (100 / tile.categories.length) * index + '%'
      }"
    ></span>
    {{tile.title}}
  </div>
</template>


<style lang="scss">
.tile-card{
  height: 100px
}
.categoryColor {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 5px;
}
</style>

<script>
export default {
  props: {
    tile: {
      type: Object,
      required: true,
    },
  },
};
</script>
